## f_unlink

The f_unlink function removes a file or sub-directory from the volume.

    FRESULT f_unlink (
      const TCHAR* path  /* [IN] Object name */
    );

#### Parameter

path
  Pointer to a null-terminated string that specifies the file or sub-directory to be removed. If a null pointer is given, the function fails with `FR_INVALID_DRIVE`.

#### Return Values

FR_OK, FR_DISK_ERR, FR_INT_ERR, FR_NOT_READY, FR_NO_FILE, FR_NO_PATH, FR_INVALID_NAME, FR_DENIED, FR_WRITE_PROTECTED, FR_INVALID_DRIVE, FR_NOT_ENABLED, FR_NO_FILESYSTEM, FR_TIMEOUT, FR_LOCKED, FR_NOT_ENOUGH_CORE

#### Description

If condition of the object to be removed is applicable to the following terms, the function will be rejected.

- The file/sub-directory must not have read-only attribute (`AM_RDO`), or the function will be rejected with `FR_DENIED`.
- The sub-directory must be empty and must not be current directory, or the function will be rejected with `FR_DENIED`.
- The file/sub-directory must not be opened, or the FAT volume can be collapsed. It will be rejected safely when file lock function is enabled.

#### QuickInfo

Available when `FF_FS_READONLY == 0` and `FF_FS_MINIMIZE == 0`.

Return